import { defineBoot } from '#q-app/wrappers'

export default defineBoot(({ app }) => {
  // 全局设置自定义断点
  // 这里设置的是最小宽度断点，xs是隐含的（0-479px）
  const customBreakpoints = {
    sm: 480,  // 480px及以上为sm
    md: 768,  // 768px及以上为md
    lg: 1024, // 1024px及以上为lg
    xl: 1280, // 1280px及以上为xl
  }
  // 在应用启动时设置自定义断点
  app.config.globalProperties.$q.screen.setSizes(customBreakpoints)
})